TemperatureSensor (Java Functional Samples)
Date: 2020-08-07

simple

## Class TemperatureSensor

- java.lang.Object
- - simple.TemperatureSensor

-     public class TemperatureSensor
      extends java.lang.Object

  Sample topology application. This Java application builds a simple topology that demonstrates the usage of submission time parameter for time based window.
  The application implements the typical pattern of code that declares a topology followed by submission of the topology to a Streams context `com.ibm.streamsx.topology.context.StreamsContext`.
  This demonstrates the mechanics of declaring a topology with submission time parameter and executing it.

  This may be executed from the `samples/java/functional` directory as:

  - `ant run.temperaturesensor` - Using Apache Ant, this will run in standalone mode.
  - `ant run.temperaturesensor.bundle` - Using Apache Ant, this will create the bundle only.
  - `java -jar funcsamples.jar:../com.ibm.streamsx.topology/lib/com.ibm.streamsx.topology.jar:$STREAMS_INSTALL/lib/com.ibm.streams.operator.samples.jar simple.TemperatureSensor [CONTEXT_TYPE]` - Run directly from the command line.
  If no arguments are provided then the topology is executed in bundle mode.
  CONTEXT_TYPE is one of:
  - `DISTRIBUTED` - Run as an IBM Streams distributed application.
  - `STANDALONE` - Run as an IBM Streams standalone application.
  - `BUNDLE` - Create an IBM Streams application bundle.
  - `TOOLKIT` - Create an IBM Streams application toolkit.
- An application execution within your IDE once you set the class path to include the correct jars.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemperatureSensor()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Sample topology application.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TemperatureSensor

          public TemperatureSensor()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Sample topology application. This Java application builds a simple topology that demonstrates the usage of submission time parameter for time based window and finally prints the aggregates values to standard output.
      The application implements the typical pattern of code that declares a topology followed by submission of the topology to a Streams context (@code com.ibm.streamsx.topology.context.StreamsContext}.
      Parameters:
        `args` -
      Throws:
        `java.lang.Exception`